%TETA: dati in input la posizione della mano
%      e le lunghezze L1 e L2 del braccio, calcola i 
%      relativi angoli teta1 e teta2:
%      -teta1 asse_x<->spalla-gomito
%      -teta2 spalla-gomito<->gomito-mano
function [teta1,teta2]=teta(h,L1,L2)
x_ha=h(1);
y_ha=h(2);
R=sqrt(x_ha^2+y_ha^2);
teta2=acos((R^2-L1^2-L2^2)/(2*L1*L2));
beta=acos((R^2+L1^2-L2^2)/(2*L1*R));
if (x_ha==0)
    alfa=pi/2;
else
    alfa=atan2(y_ha,x_ha);
end
if(teta2>=0)
   teta1=alfa-beta;
else
    teta1=alfa+beta;
end  
